Bug 91523 - Crash on navigation by Index Entry
Summary: Crash on navigation by Index Entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-23 12:52 UTC by pierre-yves samyn
Modified: 2016-12-13 20:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
IndexEntry.odt (contains one indexed word) (15.64 KB, application/vnd.oasis.opendocument.text)
2015-05-23 12:52 UTC, pierre-yves samyn
Details
WinDbg backtrace (18.94 KB, text/plain)
2015-05-23 12:52 UTC, pierre-yves samyn
Details
backtrace 5.1.0.0 (11.07 KB, text/plain)
2015-08-12 14:57 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2015-05-23 12:52:11 UTC
Created attachment 115893 [details]
IndexEntry.odt (contains one indexed word)

Hi

Crash on navigation by Index Entry

Steps to reproduce:
1. Open the attached document (contains one indexed word)
2. Edit> Find to open the Find toolbar
3. Click "Navigate by", choose "Index Entry"
4. Click "Next index entry" (or Previous)

Crash (see windbg backtrace attached).

Platform: windows 7/64 & Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fr_FR

Also reproduce on Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: fr-FR (fr_FR)

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2015-05-23 12:52:39 UTC
Created attachment 115894 [details]
WinDbg backtrace
Comment 2 Gordo 2015-05-23 14:40:43 UTC
I can reproduce.

You can also use the Navigator to bring up Navigation (disappears on selecting index) and use Next Index Entry in the Navigator to experience the crash.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

Version: 5.1.0.0.alpha1+
Build ID: d8208da8576874fdb07014287e6cbc0aeba741bb
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-23_09:23:03

No crash with 4.3.6.2.
Comment 3 Caolán McNamara 2015-05-27 20:25:57 UTC
I got nothing with Linux under valgrind
Comment 4 Joel Madero 2015-05-31 22:23:18 UTC
Can someone explain where "next index entry" is? When I bring up navigator - it opens and shows "IndexEntry (active)" in the bottom drop down. For the life of me I can't find "Next index entry" Thanks!
Comment 5 Gordo 2015-05-31 23:16:31 UTC
In Navigator, after you have changed to Index Entry in Navigation dialogue, the Next Index Entry is fourth icon from left.  There are the two page looking icons with up and down arrow before the number spinner box.

Toggle - Navigation - Previous index entry - Next index entry
Comment 6 Joel Madero 2015-06-01 00:56:26 UTC
This is really confusing for me - I don't get that option. Image of what I see: http://i.imgur.com/vSWWhyp.png?1

You can see the label of the 4th icon for me....
Comment 7 Gordo 2015-06-01 09:43:44 UTC
I think you might have it on repeat search which is the icon to the left of Index entry in Navigation.  It goes to that when you reach the end of the document on finding text.

I do not know if typing in individual names of indexes in the find box works with next element.

1. Open document.
2. In Navigator, click on "Navigation", which is the second icon from the left.
3. Click on "Index entry" in Navigation dialogue.
4a. Here you can use the arrows and it will crash or
4b. Close the Navigation dialogue and in Navigator use the arrows (3rd & 4th icons) and it will crash.

1. Open document.
2. Open Find toolbar with Edit -> Find or ctrl + f.
3. Click on "Navigate by".
4. Click on "Index entry" in Navigation dialogue.
5a. Here you can use the arrows and it will crash or
5b. Close the Navigation dialogue and in Find toolbar use the arrows to the right of "Navigate by" or
5c. If Navigator is open, use the arrows (3rd & 4th icons) there and it will crash.
Comment 8 Gordo 2015-08-12 14:57:11 UTC
Created attachment 117863 [details]
backtrace 5.1.0.0

An up-to-date backtrace.

Windows Vista 64
Version: 5.1.0.0.alpha1+
Build ID: 7bdc6be9c23517eec02ce7139edd7003abbee1f8
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-11_03:32:55
Comment 9 Commit Notification 2015-09-08 19:38:10 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1553ace0a46c2659540dbf746aa862ccbb160ffd

tdf#91523 sw: fix navigation to index mark

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Björn Michaelsen 2015-10-15 14:21:52 UTC
Assuming this to be resolved as per comment #9.